FilterIterator (dom4j 1.6.1 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.tree
Class FilterIterator

    java.lang.Object
      org.dom4j.tree.FilterIterator

All Implemented Interfaces:
  Iterator

Direct Known Subclasses:
  ElementIterator, ElementNameIterator, ElementQNameIterator

Deprecated. THIS CLASS WILL BE REMOVED IN dom4j-1.6 !!

public abstract class FilterIterator
extends Object
implements Iterator

`FilterIterator` is an abstract base class which is useful for implementors of `Iterator`which filter an existing iterator.

Version:
  $Revision: 1.10 $
Author:
  James Strachan

Field Summary
`protected Iterator` | `proxy` Deprecated.

Constructor Summary
`FilterIterator(Iterator proxy)` Deprecated.

Method Summary
`protected Object` | `findNext()` Deprecated.
`boolean` | `hasNext()` Deprecated.
`protected abstract boolean` | `matches(Object element)` Deprecated. Filter method to perform some matching on the given element.
`Object` | `next()` Deprecated.
`void` | `remove()` Deprecated. Always throws UnsupportedOperationException as this class does look-ahead with its internal iterator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### proxy

    protected Iterator proxy

  Deprecated.

Constructor Detail

### FilterIterator

    public FilterIterator(Iterator proxy)

  Deprecated.

Method Detail

### hasNext

    public boolean hasNext()

  Deprecated.
  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()
                throws NoSuchElementException

  Deprecated.
  Specified by:
    `next` in interface `Iterator`
  Throws:
    `NoSuchElementException`

### remove

    public void remove()

  Deprecated.
  Always throws UnsupportedOperationException as this class does look-ahead with its internal iterator.

  Specified by:
    `remove` in interface `Iterator`
  Throws:
    `UnsupportedOperationException` - always

### matches

    protected abstract boolean matches(Object element)

  Deprecated.
  Filter method to perform some matching on the given element.

  Parameters:
    `element` - DOCUMENT ME!
  Returns:
    true if the given element matches the filter and should be appear in the iteration

### findNext

    protected Object findNext()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.